//
//  (C)2013 Mobiq, Inc.
//

#import "SRequest.h"

@class SDeployMonitor;
@protocol SDeployMonitorDelegate<NSObject>
@optional
- (void)deployDidFinish:(SDeployMonitor *)deploy;
@end

typedef enum {
    SDeployResultUnknown,
    SDeployResultSuccessful,
    SDeployResultFailed,
} SDeployResult;

@interface SDeployMonitor : NSObject <SRequestDelegate> {
    SRequest *_request;
}

@property (strong) id object;
@property (strong) NSString *statusString;
@property (assign) SDeployResult result;
@property (unsafe_unretained) id delegate;

- (id)initWithObject:(id)object delegate:(id)delegate;

@end
